## aptitude 0.6.8.1

=== debian/changelog ===
aptitude (0.6.8.1-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian to pick up multi-arch fixes (LP: #831768).
    Remaining changes:
    - debian/05aptitude: Never autoremove kernels.
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).
    - no-google-mock: Don't use google-mock as it and libgtest-dev are in
      universe. Refreshed to cover all changes.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 Oct 2012 22:55:21 -0400

aptitude (0.6.8.1-2) unstable; urgency=low

  * Use xz compression for all binaries. (Closes: #687294)

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 25 Sep 2012 08:51:07 +0800

aptitude (0.6.8.1-1) unstable; urgency=low

  * Multi-arch update for the problem resolver:
    - handle conflicts without removing all foreign-arch
      packages (Closes: #672340) (LP: #831768)
    - correctly recognise dependencies solved by Multi-Arch:
      foreign packages (LP: #968412)
  * [curses]: Use dpkg package names when calling dpkg
              (Closes: #680333)
  * Add (temporary) helpers for interacting with dpkg.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 28 Aug 2012 11:39:01 +0800

aptitude (0.6.8-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/05aptitude: Never autoremove kernels.
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).
    - no-google-mock: Don't use google-mock as it and libgtest-dev are in
      universe. Refreshed to cover all changes.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 02 Jul 2012 12:48:26 +0200

aptitude (0.6.8-1) unstable; urgency=low
  
  * Fix build with g++ 4.7
    Thanks Adrian Lang for the patch (Closes: #672335)
  * New binary packages:
    - aptitude-doc-it: Italian documentation (Closes: #674664)
    - aptitude-common: data files and translations
  * debian/rules:
    - use dh (debhelper command sequencer)
  * Require libapt-pkg 0.9.3 to avoid "Method http has died
    unexpectedly" (Closes: #669322)
  * Removed preinst script, the one transition it handled is
    over ten years old.
  * New upstream release.
    - Update to tasks support: task packages, multi-arch, syntax

      Task packages (introduced with tasksel 3.0) are
      meta-packages which define the dependencies of tasks.  The
      packages themselves have always worked but the 'tasks'
      grouping policy and '?task' search term did not support
      them.  This update corrects for this.

      As a result of this change to tasksel all Debian tasks now
      function exactly like meta-packages. (Closes: #382631)

      The syntax for installing tasks from the command line has
      been updated.  It now supports specifying an arch and
      requires the same syntax as apt-utils ('^' must be the last
      part of the name).  Examples:

        # aptitude install gnome-desktop^
        # aptitude install ssh-server^:armel

      This avoids ambiguity that may arise when a task and
      package have the same name.
    - Changelog downloading is restored
      (Closes: #669569, LP: #824708)
    - Exit with non-zero status when a package run is
      aborted. (Closes: #293008)
    - Restore candidate version on undo, keep
      (Closes: #529403)
    - Adjust default widths of localized columns:
      broken_count, downloadsize (Closes: #674045)
    - Update package views after 'Cancel pending actions'
      (Closes: #595753)
    - Fix minor errors in documentation. Thanks to Beatrice Torracca
      (Closes: #674675)
    - Fix groff warning in manpage (Closes: #675085)
    - Translation updates:
      + French (Closes: #673827, LP: #642840)
      + German (Closes: #672467, #668875)
      + Simplified Chinese

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 04 Jun 2012 10:10:12 +0800

aptitude (0.6.7-1) unstable; urgency=low

  * Fix FTBFS in sid: include build of gtest when building gmock
   (Closes: #670403, #671439)

  * New upstream release.

    - Avoid dpkg and infinite loop in download-only mode
      (Closes: #629266, LP: #975793)

    - Check for apt_init errors in cmdline_download.cc (Closes: #670379)

    - Downloading/installing now locks /var/cache/apt/archives
      (Closes: #370381)

    - Actually use aptitude::Logging::Levels (Closes: #654344)

    - No longer use ListUpdate (from libapt-pkg) to update package lists.
      Instead, restore the previous code and update it to include the
      semantics from ListUpdate which were missing.

      ListUpdate was too coarse to suit download_update_manager properly
      even though it more-or-less worked.

    - Do not call debtags on list update.  This was a rather unsightly
      kludge is better suited as a script for APT::Update::Post-Invoke.

    - Use arch-qualified names in 'Provided by' for virtual packages
      (LP: #972847)

    - Preview screen ignores Pkg-Display-Limit

      Previously it would apply that limit if UI::Preview-Limit was not
      set.  This was causing confusion and it is more useful to have these
      as two clearly distinct settings. (LP: #381507)

    - New translations:

      + Croatian (Closes: #667934)

  * Use export to really enable build hardening, etc.

  * debian/control: remove traces of aptitude-gtk:
    - aptitude: description
    - aptitude-dbg: build-depends

 -- Daniel Hartwig <mandyke@gmail.com>  Thu, 03 May 2012 15:57:42 +0800

aptitude (0.6.6-1ubuntu2) quantal; urgency=low

