## aptitude 0.6.8.2

=== debian/changelog ===
aptitude (0.6.8.2-1ubuntu4) trusty; urgency=medium

  * debian/rules: Force -O2 to work around FTBFS with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 16:35:55 -0700

aptitude (0.6.8.2-1ubuntu3) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 14:02:47 +0100

aptitude (0.6.8.2-1ubuntu2) saucy; urgency=low

  * Remove debian/05aptitude:
    - sudo setting is redundant with user-setup (LP: #1033838)
    - Keep-Unused-Pattern setting is redundant with apts NeverAutoRemove,
      which conflicts with an apt update to permit autoremoval of old kernel
      images (LP: #923876, #1053776)
    - Thanks to Daniel Hartwig for the patch.
    - Remove 05aptitude from debian/aptitude.install

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Sep 2013 17:05:47 -0700

aptitude (0.6.8.2-1ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Cherry pick patch by Nick Black to fix FTBFS with boost1.53.
    - Fix build failure with GCC 4.8.  
    - debian/05aptitude: Never autoremove kernels.
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).
    - Fix gmock & gtest paths, use dh-autoreconf.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 14:36:22 +0100

aptitude (0.6.8.2-1) unstable; urgency=low

  * [all]: Support for matching architectures using specification
           strings and wildcards (for example, "linux-any").  See
           Debian Policy section 11.1 "Architecture specification
           strings" for more details.
  * [cmdline]: Fix typo which prevented installing tasks using the
               apt-get compatible syntax ("aptitude install
               gnome-desktop^").
  * [cmdline]: Do not assume that APT::Default-Release always provides
               the candidate version of a package, instead use the
               policy defined by apt_preferences(5).
               (Closes: #587775, #631464, #686316)
  * [all]: Download changelogs from APT::Changelogs::Server instead
           of a fixed location, and replace very ancient and disused
           option for Aptitude::Changelog-URL-Template.
           (Closes: #687239)
  * Documentation:
    - Update for default value of APT::AutoRemove::SuggestsImportant
      which is "true" since apt 0.8.15.3. (Closes: #685310)
    - Correctly reference APT::AutoRemove::RecommendsImportant and
      SuggestsImportant which do not contain any hyphens.
      (Closes: #579071)
  * Translation updates:
    - Czech (Closes: #681693)
    - French (Closes: #680040, #685084)
    - Polish (Closes: #678153)
    - Russian (Closes: #686016)
    - Spanish (Closes: #686752)
  * debian/control: Bump Build-Depends on libapt-pkg-dev to (>= 0.9.7) for
    architecture specification string support.

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 05 Nov 2012 09:52:12 +0800

aptitude (0.6.8.1-2ubuntu3) saucy; urgency=low

  * Cherry pick patch by Nick Black to fix FTBFS with boost1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 04 May 2013 00:54:20 +0100

aptitude (0.6.8.1-2ubuntu2) raring; urgency=low

  * Fix build failure with GCC 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 09:14:45 +0100
