=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 XSBC-Original-Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
 Uploaders: Daniel Burrows <dburrows@debian.org>, Daniel Hartwig <mandyke@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: libapt-pkg-dev (>= 0.9.3), debhelper (>= 9),
+Build-Depends: libapt-pkg-dev (>= 0.9.7), debhelper (>= 9),
  libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
  libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
  docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 0.5),
  librsvg2-bin, libboost-dev, libboost-serialization-dev,
  libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
- libsqlite3-dev, dpkg-dev (>= 1.16.1),
- pkg-config
+ google-mock (>= 1.6.0+svn437-0ubuntu2), libsqlite3-dev, dpkg-dev (>= 1.16.1),
+ pkg-config, dh-autoreconf
 Vcs-Git: git://git.debian.org/git/aptitude/aptitude.git
 Vcs-Browser: http://git.debian.org/?p=aptitude/aptitude.git;a=summary
 Standards-Version: 3.9.3
