## aptitude 0.6.11

=== debian/changelog ===
aptitude (0.6.11-1ubuntu2) utopic; urgency=low

  * debian/rules: Force -O2 to work around FTBFS with -O3.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jul 2014 17:30:48 +0200

aptitude (0.6.11-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).
  * Patches dropped (applied upstream):
    - gcc-4.8
    - fixgtest.patch
    - 0001-fix-FTBFS-with-Boost-1.53.patch
    - 0002-support-again-Boost-1.53.patch (and dh-autoreconf)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jul 2014 15:19:46 +0200

aptitude (0.6.11-1) unstable; urgency=medium

  * Includes fix for FTBFS with gcc-4.9.
  * New upstream release:
    - Load package tags from APT if debtags database is not available.
      (Closes: #501732)
    - Remove -Werror from default compiler flags. (Closes: #746824)
    - No longer use libept. (Closes: #504153, #677551)
  * Translation updates:
    - Italian (Closes: #741875)
    - Portuguese (Closes: #748141)
  * debian/control:
    - New Build-Depends on libxapian-dev, replacing libept-dev.
    - Correct typo in description of aptitude-common. (Closes: #746960)
    - Drop apt-xapian-index to Suggests.
  * debian/changelog:
    - Remove non-ASCII punctuation. (Closes: #745680)

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 02 Jun 2014 19:57:39 +0800

aptitude (0.6.10-2) experimental; urgency=medium

  [ Daniel Hartwig ]
  * Make aptitude installable on non-native architectures
    Thanks to Rogier for noting this (Closes: #697278)

  [ Manuel A. Fernandez Montecelo ]
  * Enable Russian translation of documentation (binary package
    aptitude-doc-ru)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:47:07 +0000

aptitude (0.6.10-1) unstable; urgency=medium

  [ Daniel Hartwig ]
  Note that 0.6.9 was an experimental release.  Most of the changes it
  contained are temporarily reverted, but they will return.

  * Remove ancient Conflicts: ia32-apt-get

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release.
    - New sort policy 'installsizechange' (Closes: #676075)
    - Fix segfault with "aptitude changelog PKG" when PKG is a source
      package with no corresponding binary package (Closes: #723821)
    - Use new URL to fetch changelogs (metadata.ftp-master.d.o)
      (Closes: #708345)
    - Fix incorrect results with some sorting policies (Closes: #720750)
    - Update manual to refer to canonical git repository.
    - Improve and explain some translation messages (Closes: #537858)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:36:57 +0000

aptitude (0.6.8.4-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release
    - New features:
      * Get changelogs also when package origin is from "Debian Backports"
        and not only "Debian", thanks Gerfried Fuchs (Closes: #714619)
      * New sort policy 'debsize' for sorting by package size, thanks
        Marcel Partap
      * Add "Reinstall (shortcut L)" to the package menu (Closes: #633788)
      * Add descriptions for sections introduced in 2011 (education,
        introspection, metapackages) (Closes: #674681)
    - Bug fixes:
      * Do not group packages as tasks based on their name, rather, use
        their section (Closes: #679602)
      * Change AC_ARG_ENABLE(package-state-loc, ...) for
        AC_ARG_WITH(package-state-loc, ...), and the same for "lock-loc", to
        fix inconsistency/bug in the configure file.  Thanks Jeremy
        Laine (Closes: #399757)
      * Correct slightly the error message when the invocation of dpkg
        fails to perform an operation (Closes: #348758)
    - Documentation:
      * Improve description and fix typo for the "show" command in man
        page, thanks Regid Ichira (Closes: #692173)
    - Translation updates:
      * Fix inconsistent German translations (Closes: #720186)
      * Fix important error in translation in Spanish manpage, thanks
        Martintxo (Closes: #727815)
      * Fix error in Spanish translation, thanks Manolo Díaz
        (Closes: #716669)

  [ Axel Beckert ]
  * Fix lintian warning vcs-field-not-canonical
    + Explicitly specify branch for packaging

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 26 Jan 2014 13:23:12 +0000

aptitude (0.6.8.3-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS with g++-4.8 by removing unused typedefs (Closes: #701243)
    - Support Boost 1.53 (Closes: #710208)
    - Avoid segfault with some status line formats (Closes: #714186)
    - Update support for automake and similar tools (autogen.sh), now
      version 1.14
    - Translation updates:
      - Russian translation of documentation.  Thanks to Lev Lamberov and
        the Russian localization team.
      - German, by Benjamin Weis and Holger Wansing (Closes: #729329)
      - Japanese (Closes: #728115)
      - Russian by Yuri Kozlov (Closes: #725280)
      - Asturian by Inigo Varela (Closes: #698512)
      - Danish by Morten Bo Johansen (Closes: #700885)
      - French by David Prévot (Closes: #693323)

  * Acknowledge NMUs (patches had been cherry picked from VCS)
  * Bump Standards-Version to 3.9.5
    - Drop obsolete field in debian/control: DM-Upload-Allowed
  * Add myself as uploader

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 19 Jan 2014 00:38:37 +0000

aptitude (0.6.8.2-1.2) unstable; urgency=low

  * cherrypick from git:
    + fix FTBFS with Boost 1.53. Closes: #710208
    + support again Boost < 1.53

 -- Andreas Barth <aba@ayous.org>  Sat, 24 Aug 2013 13:32:28 +0000

aptitude (0.6.8.2-1.1) unstable; urgency=low

  * cherrypick from git:

