=== debian/control ===
--- 
+++ 
@@ -3,27 +3,26 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
-Uploaders: Daniel Burrows <dburrows@debian.org>, Daniel Hartwig <mandyke@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Daniel Burrows <dburrows@debian.org>, Daniel Hartwig <mandyke@gmail.com>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Build-Depends: libapt-pkg-dev (>= 0.9.7), debhelper (>= 9),
  libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
  libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
- docbook-xml, xsltproc, html2text, po4a, libept-dev (>= 0.5),
+ docbook-xml, xsltproc, html2text, po4a, libxapian-dev,
  librsvg2-bin, libboost-dev, libboost-serialization-dev,
  libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
- google-mock (>= 1.6.0+svn437-0ubuntu2), libsqlite3-dev, dpkg-dev (>= 1.16.1),
- pkg-config, dh-autoreconf
-Vcs-Git: git://git.debian.org/git/aptitude/aptitude.git
-Vcs-Browser: http://git.debian.org/?p=aptitude/aptitude.git;a=summary
-Standards-Version: 3.9.3
+ libgtest-dev, google-mock, libsqlite3-dev, dpkg-dev (>= 1.16.1),
+ pkg-config
+Vcs-Git: git://anonscm.debian.org/aptitude/aptitude.git -b debian-sid
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=aptitude/aptitude.git
+Standards-Version: 3.9.5
 Homepage: http://aptitude.alioth.debian.org/
 
 Package: aptitude
 Architecture: any
+Multi-Arch: foreign
 Depends: aptitude-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: sensible-utils, apt-xapian-index, libparse-debianchangelog-perl
-Suggests: aptitude-doc-en | aptitude-doc, tasksel, debtags
-Conflicts: ia32-apt-get (<< 22)
+Recommends: aptitude-doc-en | aptitude-doc, sensible-utils, libparse-debianchangelog-perl
+Suggests: tasksel, debtags, apt-xapian-index
 Description: terminal-based package manager
  aptitude is a package manager with a number of useful features,
  including: a mutt-like syntax for matching packages in a flexible
@@ -36,11 +35,12 @@
 
 Package: aptitude-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: aptitude
 Replaces: aptitude (<< 0.6.8-1)
 Breaks: aptitude (<< 0.6.8-1)
-Description: architecture indepedent files for the aptitude package manager
+Description: architecture independent files for the aptitude package manager
  aptitude is a package manager with a number of useful features,
  including: a mutt-like syntax for matching packages in a flexible
  manner, dselect-like persistence of user actions, the ability to
@@ -54,6 +54,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: aptitude (= ${binary:Version}), ${misc:Depends}
 Recommends: libcwidget3-dbg
 Description: Debug symbols for the aptitude package manager
@@ -72,6 +73,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -89,6 +91,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -106,6 +109,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -123,6 +127,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -140,6 +145,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -157,6 +163,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -174,6 +181,7 @@
 Section: doc
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Provides: aptitude-doc
 Depends: ${misc:Depends}
 Suggests: aptitude
@@ -186,3 +194,21 @@
  .
  This package contains the Japanese version of the aptitude user's
  manual in HTML format.
+
+Package: aptitude-doc-ru
+Section: doc
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Provides: aptitude-doc
+Depends: ${misc:Depends}
+Suggests: aptitude
+Description: Russian manual for aptitude, a terminal-based package manager
+ aptitude is a package manager with a number of useful features,
+ including: a mutt-like syntax for matching packages in a flexible
+ manner, dselect-like persistence of user actions, the ability to
+ retrieve and display the Debian changelog of most packages, and a
+ command-line mode similar to that of apt-get.
+ .
+ This package contains the Russian version of the aptitude user's
+ manual in HTML format.
