=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 BUILDDIR=build-arch
 
 %:
-	dh $@ --parallel --builddirectory=$(BUILDDIR) --dbg-package=aptitude-dbg --with=autoreconf
+	dh $@ --parallel --builddirectory=$(BUILDDIR) --dbg-package=aptitude-dbg
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
