## aptitude 0.7.3

=== debian/changelog ===
aptitude (0.7.3-1ubuntu1.1) wily; urgency=medium

  * Cherry-pick upstream commit d6b67ab from 0.7.4 to fix an infinite
    loop and crash when determining which packages can be
    automatically deleted (#801430).  (Closes: LP: #1507211)

 -- Richard Hansen <rhansen@rhansen.org>  Tue, 15 Dec 2015 11:19:01 -0800

aptitude (0.7.3-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 12 Oct 2015 15:32:41 +0200

aptitude (0.7.3-1) unstable; urgency=low

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Bug fixes:
      * [cmdline] Correctly calculate the indentation for multi-byte
        encoded strings in command line "show" (Closes: #360202)
      * [curses] Show intended action when downgrading (Closes: #516517)
      * Update internal state for upgrades/downgrades with target version
        after the action is performed (Closes: #787658, #714429)
      * [curses] Don't precede Tags field by newline in package info
        screen (Closes: #799933)
      * Correctly detect state of vers/pkg when is ConfigFiles
        (Closes: #698768)
      * [cmdline] Show "RECOMMENDED but will not be installed" on pipes
        and redirections (Closes: #647474)
      * [curses] Improve the integration of Forbid upgrades
        (Closes: #439258)
      * Remove unneeded automatically installed packages in the same action
        (Closes: #478116, #564545, #637257, #368037, #486454, #738517,
         #789803, #779999, #756507, #759764, #766702, #655483,#740009)
      * Honour ::Purge-Unused when removing packages (Closes: #724034)
      * Be more informative when virtual packages are involved in broken
        deps (Closes: #316633, #798898, #799918)
      * Fix description of config option ::AutoClean-After-Update
        (Closes: #756937)

    - User visible changes:
      * Make boundaries of sessions in the log file more clear
        (Closes: #269275)
      * [curses] Avoid marking as auto/non-auto if already set
        (Closes: #265013)
      * [curses] Print message when starting to perform actions
        (Closes: #323371)
      * Use uppercase APT:: for apt config vars, for consistency
        (Closes: #519425)
      * [cmdline] Print versions of Provides, if they exist
        (Closes: #767393)

    - Internal changes:
      * temp.cc: simplify code and messages and reduce the use of boost
        libs
      * configure.ac: Remove checks for boost/scoped_array.hpp and
        boost/random.hpp, not used anymore
      * Adding missing trigger states in some functions
      * Disable checks in configure.ac and preprocessor in code for
        APT_HAS_TRIGGERS, APT_HAS_HOMEPAGE and HAVE_DDTP (apt supports them
        since 2007-2008).
      * Add functions to check if packages are installed, automatically
        installed, if they are virtual, and others.  They can be used later
        to make other code more consistent, clear and clean.
      * Remove sigc++ include from apt_config_widgets.h (fails to build
        with newer version 2.6 recently uploaded to unstable)

    - Documentation:
      * Guide/User's Manual:
        * Document Brown colour for downgraded packages in UI (feature
          implemented in the last version)

    - Translation updates:
      * Russian by Lev Lamberov (Closes: #769425)
      * Dutch by Frans Spiesschaert (Closes: #800516)


  * d/rules: Upgrade C++ required to C++14, only minor changes/fixes from C++11
  * debian/patches:
    - Add fix-tmpdir.patch to fix a minor problem with temp directories

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 07 Oct 2015 16:53:49 +0100

aptitude (0.7.2-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * 'Escape' key cancels input dialogs (search, limit, etc.) (Closes:
        #493322)
      * Extend "firstchar" grouping policy to optionally use source
        package names.
      * [curses] Add 'New Source Package View' to Views menu (thanks
        Thadeu Lima de Souza Cascardo, really closes: #497206), with some
        updates and minor modifications, like more complex grouping.
      * [curses] Use Yellow/Brown colour to highlight downgrades (Closes:
        #584510)
      * Log file now contains version information for most actions
        (Closes: #222585)
      * Save selection state of packages to dpkg database (Closes:
        #137771)
      * Consider packages "unknown" to dpkg as not to install. (Closes:
        #328616) The behaviour of scheduled aptitude actions will be
        preserved.

    - Bug fixes:
      * Disable strings gathered for translation (Closes: #790568)
      * Change to try to make updated status stats more clear (Closes:
        #458351)
      * [cmdline] Correctly print when a package should be purged (Closes:
        #798286)
      * [curses] With the option of mini-buffer prompts enabled,
        cancellation of the "Quit confirmation" with 'Escape' or 'Ctrl-g'
        does not cause the dialog/prompt to stop working (Closes: #607118)
      * [cmdline] Warn when package cannot be marked/unmarked auto
        (Closes: #498240)
      * Install signal handlers and do clean-up when terminating abruptly
        (Closes: #558352)
      * [curses] Set better ordering for groups of Preview Actions
        (Closes: #434352)

    - User visible changes:
      * Change error string of source_policy_parser to be the same as the
        rest.
      * [curses] Improve titles and descriptions of views.

