=== debian/control ===
--- 
+++ 
@@ -3,26 +3,51 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
-Uploaders: Daniel Burrows <dburrows@debian.org>, Daniel Hartwig <mandyke@gmail.com>, Manuel A. Fernandez Montecelo <mafm@debian.org>
-Build-Depends: libapt-pkg-dev (>= 0.9.7), debhelper (>= 9),
- libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
- libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
- docbook-xml, xsltproc, html2text, po4a, libxapian-dev,
- librsvg2-bin, libboost-dev, libboost-serialization-dev,
- libboost-python-dev, libboost-iostreams-dev, libboost-test-dev,
- libgtest-dev, google-mock, libsqlite3-dev, dpkg-dev (>= 1.16.1),
- pkg-config
+Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
+           Axel Beckert <abe@debian.org>
+Build-Depends: automake,
+               debhelper (>= 9),
+               docbook-xml,
+               docbook-xsl,
+               dpkg-dev (>= 1.16.1),
+               html2text,
+               gettext,
+               google-mock,
+               libapt-pkg-dev (>= 0.9.7),
+               libboost-dev,
+               libboost-iostreams-dev,
+               libboost-python-dev,
+               libboost-serialization-dev,
+               libboost-test-dev,
+               libcppunit-dev,
+               libcwidget-dev (>= 0.5.6.1-2),
+               libgtest-dev,
+               libncursesw5-dev,
+               librsvg2-bin,
+               libsigc++-2.0-dev,
+               libsqlite3-dev,
+               libxapian-dev,
+               pkg-config,
+               po4a,
+               xsltproc
 Vcs-Git: git://anonscm.debian.org/aptitude/aptitude.git -b debian-sid
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=aptitude/aptitude.git
-Standards-Version: 3.9.5
+Vcs-Browser: https://anonscm.debian.org/cgit/aptitude/aptitude.git
+Standards-Version: 3.9.6
 Homepage: http://aptitude.alioth.debian.org/
 
 Package: aptitude
 Architecture: any
 Multi-Arch: foreign
-Depends: aptitude-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: aptitude-doc-en | aptitude-doc, sensible-utils, libparse-debianchangelog-perl
-Suggests: tasksel, debtags, apt-xapian-index
+Depends: aptitude-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends:
+            libparse-debianchangelog-perl,
+            sensible-utils
+Suggests: apt-xapian-index,
+          aptitude-doc-en | aptitude-doc,
+          debtags,
+          tasksel
 Description: terminal-based package manager
  aptitude is a package manager with a number of useful features,
  including: a mutt-like syntax for matching packages in a flexible
@@ -55,7 +80,8 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: aptitude (= ${binary:Version}), ${misc:Depends}
+Depends: aptitude (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: libcwidget3-dbg
 Description: Debug symbols for the aptitude package manager
  aptitude is a package manager with a number of useful features,
