=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,9 @@
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   DEB_CXXFLAGS_MAINT_APPEND += -fno-inline
-else
-  DEB_CXXFLAGS_MAINT_APPEND += -O2
 endif
 
+DEB_CXXFLAGS_MAINT_APPEND += -std=c++14
 export DEB_CXXFLAGS_MAINT_APPEND
 
 BUILDDIR=build-arch
@@ -60,17 +59,14 @@
 	    debian/tmp/usr/share/man/gl/man8/aptitude-curses.8
 	@for ll in $(notdir $(wildcard debian/tmp/usr/share/man/??)); do \
 	  mans=`find debian/tmp/usr/share/man/$$ll -name aptitude-curses.8`; \
-	  if [ "x$$mans" != "x" ]; then \
+	  if [ "$$mans" != "" ]; then \
 	    echo "dh_installman -paptitude --language=$$ll $$mans"; \
 	    dh_installman -paptitude --language=$$ll $$mans; \
 	  fi; \
 	  mans=`find debian/tmp/usr/share/man/$$ll -name aptitude-*-state-bundle.1`; \
-	  if [ "x$$mans" != "x" ]; then \
+	  if [ "$$mans" != "" ]; then \
 	    echo "dh_installman -paptitude-common --language=$$ll $$mans"; \
 	    dh_installman -paptitude-common --language=$$ll $$mans; \
 	  fi; \
 	done
 	dh_installman --remaining-packages
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
