=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                html2text,
                gettext,
                google-mock,
-               libapt-pkg-dev (>= 0.9.7),
+               libapt-pkg-dev (>= 1.1),
                libboost-dev,
                libboost-iostreams-dev,
                libboost-python-dev,
