=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,9 @@
 endif
 
 DEB_CXXFLAGS_MAINT_APPEND += -std=c++14
+
+DEB_CXXFLAGS_MAINT_APPEND += -O2
+
 export DEB_CXXFLAGS_MAINT_APPEND
 
 BUILDDIR=build-arch
