## aptitude 0.7.4-2ubuntu2+8.0trisquel1

=== debian/changelog ===
aptitude (0.7.4-2ubuntu2+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 14 Dec 2016 23:19:56 +0000
